<?
include_once("./_common.php");

// 防止非法进入，创建数据认证
$token = md5(uniqid(rand(), true));
set_session("ss_token", $token);

if ($w == "") {
    // 已登录会员不能进行会员注册
    // 防止弹出警告窗口，使用以下代码代替
    // alert("您已经是会员，不能进行重复注册", "./");
    if ($member[mb_id])
        goto_url($g4[path]);

    // 跳转检测
    referer_check();

    if (!$_POST[agree])
        alert("请您同意本站会员注册条款后进行注册", "./register.php");

    if (!$_POST[agree2])
        alert("请您同意个人隐私安全保护条款后进行注册", "./register.php");

    // 身份证认证
	/*
    if ($config[cf_use_jumin]) {
        $jumin = sql_password($mb_jumin);
        $row = sql_fetch(" select mb_name from $g4[member_table] where mb_jumin = '$jumin' ");
        if ($row[mb_name]) {
            if ($row[mb_name] == $mb_name)
                alert("已有相同身份证号码注册！"); // 姓名/身份证号码一致且存在数据库时
            else
                alert("身份证号码已被其他会员注册！\\n\\n如怀疑身份证号码被盗用，请及时联系客服");
        }

        // 获取身份证最后一位数字
        $y = substr($mb_jumin, 17, 1);

        // 开启身份证实名认证时不需要输入性别，直接通过最后一位数字判断
        // 双数是男性(Male), 单数就是女性(Female) 偶尔看见过一些尾号X的，分不出男女
        $sex = $y % 2 == 0 ? "M" : "F";

        // 创建8位生日
        // 测试中，可能会有错误
        // 如果不需要或者有问题请在后台关闭
        $birth = substr($mb_jumin, 6,8);
     //   if ($y == 1) // 1900年代
     //      $birth = "19" . $birth;
     //   else if ($y == 2) // 2000年代
     //       $birth = "20" . $birth;
     //   else // 错误
     //       $birth = "xx" . $birth;
    }
*/


    $member[mb_birth] = $birth;
    $member[mb_sex] = $sex;
    $member[mb_name] = $mb_name;

    $g4[title] = "会员注册";
} 
else if ($w == "u") 
{
    if ($is_admin) 
        alert("管理员账户只能在系统后台进行编辑", $g4[path]);

    if (!$member[mb_id])
        alert("请您登录后使用", $g4[path]);

    if ($member[mb_id] != $mb_id)
        alert("数据访问出错！请关闭浏览器或删除缓存信息后重新进入");

    /*
    if (!($member[mb_password] == sql_password($_POST[mb_password]) && $_POST[mb_password]))
        alert("密码错误");

    // 临时储存
    set_session("ss_tmp_password", $_POST[mb_password]);
    */

    if ($_POST['mb_password']) {
        // 修改后数据更新，并加密密码后返回
        if ($_POST['is_update'])
            $tmp_password = $_POST['mb_password'];
        else
            $tmp_password = sql_password($_POST['mb_password']);

        if ($member['mb_password'] != $tmp_password)
            alert("您输入的密码错误！请重新输入");
    }

    $g4[title] = "编辑账户资料";

    $member[mb_email]       = get_text($member[mb_email]);
    $member[mb_homepage]    = get_text($member[mb_homepage]);
    $member[mb_password_q]  = get_text($member[mb_password_q]);
    $member[mb_password_a]  = get_text($member[mb_password_a]);
    $member[mb_birth]       = get_text($member[mb_birth]);
    $member[mb_tel]         = get_text($member[mb_tel]);
    $member[mb_hp]          = get_text($member[mb_hp]);
    $member[mb_addr1]       = get_text($member[mb_addr1]);
    $member[mb_addr2]       = get_text($member[mb_addr2]);
    $member[mb_signature]   = get_text($member[mb_signature]);
    $member[mb_recommend]   = get_text($member[mb_recommend]);
    $member[mb_profile]     = get_text($member[mb_profile]);
    $member[mb_1]           = get_text($member[mb_1]);
    $member[mb_2]           = get_text($member[mb_2]);
    $member[mb_3]           = get_text($member[mb_3]);
    $member[mb_4]           = get_text($member[mb_4]);
    $member[mb_5]           = get_text($member[mb_5]);
    $member[mb_6]           = get_text($member[mb_6]);
    $member[mb_7]           = get_text($member[mb_7]);
    $member[mb_8]           = get_text($member[mb_8]);
    $member[mb_9]           = get_text($member[mb_9]);
    $member[mb_10]          = get_text($member[mb_10]);
} else
    alert("数值传递错误！");

// 会员头像
$mb_icon = "$g4[path]/data/member/".substr($member[mb_id],0,2)."/$member[mb_id].gif";
$member_skin_path = "$g4[path]/skin/member/$config[cf_member_skin]";

include_once("./_head.php");
include_once("./norobot.inc.php"); // 认证码
include_once("$member_skin_path/register_form.skin.php");
include_once("./_tail.php");
?>